//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
        : TForm(Owner), DataError( false )
{
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Button1Click(TObject *Sender)
{
  try
  {
    if( DistanceEdit->Text.IsEmpty() )
    {
      DistanceEdit->SetFocus();
      return;
    }
    double distance = StrToFloat( DistanceEdit->Text );
    ResultLabel->Caption = "To kilometrach: " + FloatToStr( distance*1.609344 );
  }
  catch( ... )
  {
    ResultLabel->Caption = "Niepoprawne dane!";
    DistanceEdit->Color = clMedGray;
    DistanceEdit->SetFocus();
    DataError = true;
  }
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Button2Click(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::Button3Click(TObject *Sender)
{
  DistanceEdit->Text = "";
  DistanceEdit->Color = clWhite;
  DistanceEdit->SetFocus();
  ResultLabel->Caption = "";
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::DistanceEditChange(TObject *Sender)
{
  if( DataError )
  {
     DistanceEdit->Color = clWhite;
     ResultLabel->Caption = "";
     DataError = false;
  }
}
//---------------------------------------------------------------------------

